var renglon_selecto = 0;
var transaccion_seleccionada=0;

function habilita_serie()
{
	if($("#cbxSerie").prop("checked"))
	{
		$("#txtSerie").prop("disabled",false)
	}
	else
	{
		$("#txtSerie").prop("disabled",true)
	}

}

function habilita_folio()
{
	if($("#cbxFolio").prop("checked"))
	{
		$("#txtFolio").prop("disabled",false)
	}
	else
	{
		$("#txtFolio").prop("disabled",true)
	}

}

function habilita_adeudo()
{
	if($("#cbxAdeudo").prop("checked"))
	{
		$("#txtAdeudo").prop("disabled",false)
	}
	else
	{
		$("#txtAdeudo").prop("disabled",true)
	}

}

function habilita_fecha()
{
	if($("#cbxFecha").prop("checked"))
	{
		$("#txtFechaInicio").prop("disabled",false)
		$("#txtFechaFin").prop("disabled",false)
	}
	else
	{
		$("#txtFechaInicio").prop("disabled",true)
		$("#txtFechaFin").prop("disabled",true)
	}
}

function habilita_fecha2()
{
	if($("#cbxFecha2").prop("checked"))
	{
		$("#txtFechaInicio2").prop("disabled",false)
		$("#txtFechaFin2").prop("disabled",false)
	}
	else
	{
		$("#txtFechaInicio2").prop("disabled",true)
		$("#txtFechaFin2").prop("disabled",true)
	}
}




function regresar_detalle()
{
	$("#contenedorOperacion").hide();
	$("#contenidoPrincipal").show();

}

function detalle()
{
	if(transaccion_seleccionada==0){
		swal.fire({
				icon: 'warning',
				title: 'Seleccione una transaccion de la tabla.'
			})
			return;
	}

	var parametros ={
		"id_transaccion":transaccion_seleccionada
	};	

	$.ajax(
	{
		url:   'detalle_transaccion.php',
		data:  parametros,
		type:  'post',
		beforeSend: function () 
		{
			$("#contenedorOperacion").html("Procesando, espere por favor...");
		},
		success:  function (response) 
		{
			$("#contenedorOperacion").show();
			$("#contenidoPrincipal").hide();
			$("#contenedorOperacion").html(response);
			$("#tabla_detalle").DataTable({
				language: {
			        "decimal": "",
			        "emptyTable": "No hay información",
			        "info": "Mostrando _START_ a _END_ de _TOTAL_ Transacciones",
			        "infoEmpty": "Mostrando 0 a 0 de 0 Transacciones",
			        "infoFiltered": "(Filtrado de _MAX_ Transacciones totales)",
			        "infoPostFix": "",
			        "thousands": ",",
			        "lengthMenu": "Mostrar _MENU_ Transacciones",
			        "loadingRecords": "Cargando...",
			        "processing": "Procesando...",
			        "search": "Buscar:",
			        "zeroRecords": "Sin resultados encontrados",
			        "paginate": {
			            "first": "Primero",
			            "last": "Ultimo",
			            "next": "Siguiente",
			            "previous": "Anterior"
			        }
			}});			
		}
	});
}




function buscar()
{
	transaccion_seleccionada=0;
	var vehiculo = $("#cmbVehiculos").val();
	var departamento = $("#cmbDepartamentos").val();
	var producto = $("#cmbProducto").val();
	var serie_valor = $("#txtSerie").val();
	var folio_valor = $("#txtFolio").val();
	var adeudo_valor = $("#txtAdeudo").val();
	var fechaIni_valor = $("#txtFechaInicio").val();
	var fechaFin_valor = $("#txtFechaFin").val();
	var fechaIni_valor2 = $("#txtFechaInicio2").val();
	var fechaFin_valor2 = $("#txtFechaFin2").val();	

	var control_serie = 0;
	var control_folio = 0;
	var control_adeudo = 0;
	var control_fecha1 = 0;
	var control_fecha2 = 0;
	var activa = 0;
	var cancelada = 0;
	var facturada = 0;
	var noFacturada = 0;
	var limit = 0;
	var ordenamiento=0;

	if($("#cbxSerie").prop("checked"))
	{
		if(serie_valor=="")
		{
			swal.fire({
				icon: 'warning',
				title: "Ingrese serie.",
				confirmButtonColor: '#28a745'
			});
			return;
		}
		control_serie=1;
	}

	if($("#cbxFolio").prop("checked"))
	{
		if(folio_valor=="")
		{
			swal.fire({
				icon: 'warning',
				title: "Ingrese el Folio.",
				confirmButtonColor: '#28a745'
			});
			return;
		}
		control_folio=1;
	}

	if($("#cbxAdeudo").prop("checked"))
	{
		if(adeudo_valor=="")
		{
			swal.fire({
				icon: 'warning',
				title: "Ingrese el Adeudo.",
				confirmButtonColor: '#28a745'
			});
			return;
		}
		control_adeudo=1;
	}

	if($("#cbxFecha").prop("checked"))
	{
		if(fechaIni_valor=="")
		{
			swal.fire({
				icon: 'warning',
				title: "Ingrese fecha contable  inicial.",
				confirmButtonColor: '#28a745'
			});
			return;
		}

		if(!isValidDate(fechaIni_valor))
		{
			swal.fire({
				icon: 'warning',
				title: "Fecha contable inicial incorrecta.",
				confirmButtonColor: '#28a745'
			});
			return;
		}

		if(fechaFin_valor=="")
		{
			swal.fire({
				icon: 'warning',
				title: "Ingrese fecha contable final.",
				confirmButtonColor: '#28a745'
			});
			return;
		}

		if(!isValidDate(fechaFin_valor))
		{
			swal.fire({
				title: "Fecha contable final incorrecta",
				confirmButtonColor: '#28a745'
			});
			return;
		}
		control_fecha1=1;
	}

	if($("#cbxFecha2").prop("checked"))
	{
		if(fechaIni_valor2=="")
		{
			swal.fire({
				icon: 'warning',
				title: "Ingrese fecha Registro inicial.",
				confirmButtonColor: '#28a745'
			});
			return;
		}

		if(!isValidDate(fechaIni_valor2))
		{
			swal.fire({
				icon: 'warning',
				title: "Fecha Registro inicial incorrecta.",
				confirmButtonColor: '#28a745'
			});
			return;
		}

		if(fechaFin_valor2=="")
		{
			swal.fire({
				icon: 'warning',
				title: "Ingrese fecha de registro final.",
				confirmButtonColor: '#28a745'
			});
			return;
		}

		if(!isValidDate(fechaFin_valor2))
		{
			swal.fire({
				title: "Fecha de registro final incorrecta",
				confirmButtonColor: '#28a745'
			});
			return;
		}
		control_fecha2=1;
	}

	if($("#cbxActiva").prop("checked"))
	{
		activa=1;
	}

	if($("#cbxCancelada").prop("checked"))
	{
		cancelada=1;
	}

	if($("#cbxFacturado").prop("checked"))
	{
		facturada=1;
	}

	if($("#cbxNoFacturado").prop("checked"))
	{
		noFacturada=1;
	}

	if($("#cbxLimit").prop("checked"))
	{
		limit=1;
	}

	
	var parametros={	
		"id_producto" : producto,
		"limit" : limit,
		"id_vehiculo" : vehiculo,
		"departamento" : departamento,
		"fecha_inicio" : fechaIni_valor ,
		"fecha_fin" : fechaFin_valor ,
		"fecha_inicio2" : fechaIni_valor2 ,
		"fecha_fin2" : fechaFin_valor2 ,
		"facturado" : facturada ,
		"no_facturado" : noFacturada ,
		"serie" : control_serie ,
		"id_serie" : serie_valor ,
		"folio" : control_folio ,
		"id_folio" : folio_valor ,
		"adeudo" : control_adeudo ,
		"id_adeudo" : adeudo_valor ,
		"t_activa" : activa ,
		"t_cancelada" : cancelada ,
		"fecha1" :control_fecha1,
		"fecha2" :control_fecha2,
		"ordenamiento" :ordenamiento
	};

	$.ajax(
	{
		data:  parametros,
		url:   'actualiza_transacciones.php',
		type:  'post',
		beforeSend: function () 
		{
			$("#tablaContenido").html("Procesando, espere por favor...");
		},
		success:  function (response) 
		{
			$("#tablaContenido").html(response);
			$("#tablaTransacciones").DataTable({
				language: {
			        "decimal": "",
			        "emptyTable": "No hay información",
			        "info": "Mostrando _START_ a _END_ de _TOTAL_ Transacciones",
			        "infoEmpty": "Mostrando 0 a 0 de 0 Transacciones",
			        "infoFiltered": "(Filtrado de _MAX_ Transacciones totales)",
			        "infoPostFix": "",
			        "thousands": ",",
			        "lengthMenu": "Mostrar _MENU_ Transacciones",
			        "loadingRecords": "Cargando...",
			        "processing": "Procesando...",
			        "search": "Buscar:",
			        "zeroRecords": "Sin resultados encontrados",
			        "paginate": {
			            "first": "Primero",
			            "last": "Ultimo",
			            "next": "Siguiente",
			            "previous": "Anterior"
			        }
			}});					
		}
	});
}

function selecciona_renglon(renglon)
{
    $(".renglon_transaccion").css("backgroundColor","");
    $(".renglon_transaccion").css("font-weight","lighter");
    $("#"+renglon.id).css("backgroundColor","#4DAE4C");  
    $("#"+renglon.id).css("font-weight","bold");
      renglon_selecto=renglon;
      transaccion_seleccionada=renglon.id;
}

function seleccionar_tipo_reporte(id_cliente){
			Swal.fire({
				title: 'Seleccione el tipo de reporte:',
				input: 'select',
				inputOptions:{ 1: "PDF", 2: "Excel"},
				showCancelButton: true,
				confirmButtonColor: '#35A824',
  				cancelButtonColor: '#d33',
				confirmButtonText: 'Generar',
				cancelButtonText: 'Cancelar',

				allowOutsideClick: false,
				allowEscapeKey: false,
				allowEnterKey: false,					 
			}).then(opc => {
				if (opc.value==1) {			           
			        generar_reporte(id_cliente);
			    }
			    if (opc.value==2){
			        generar_reporte_excel(id_cliente);
			    }
			});
}

function generar_reporte(id_cliente){
	var n="";
	var idtipo=1;

	var vehiculo = $("#cmbVehiculos").val();
	var departamento = $("#cmbDepartamentos").val();
	var producto = $("#cmbProducto").val();
	var serie_valor = $("#txtSerie").val();
	var folio_valor = $("#txtFolio").val();
	var adeudo_valor = $("#txtAdeudo").val();
	var fechaIni_valor = $("#txtFechaInicio").val();
	var fechaFin_valor = $("#txtFechaFin").val();
	var fechaIni_valor2 = $("#txtFechaInicio2").val();
	var fechaFin_valor2 = $("#txtFechaFin2").val();	

		var control_serie = 0;
	var control_folio = 0;
	var control_adeudo = 0;
	var control_fecha1 = 0;
	var control_fecha2 = 0;
	var activa = 0;
	var cancelada = 0;
	var facturada = 0;
	var noFacturada = 0;
	var limit = 0;
	var ordenamiento=0;

	if($("#cbxSerie").prop("checked"))
	{
		if(serie_valor=="")
		{
			swal.fire({
				icon: 'warning',
				title: "Ingrese serie.",
				confirmButtonColor: '#28a745'
			});
			return;
		}
		control_serie=1;
	}

	if($("#cbxFolio").prop("checked"))
	{
		if(folio_valor=="")
		{
			swal.fire({
				icon: 'warning',
				title: "Ingrese el Folio.",
				confirmButtonColor: '#28a745'
			});
			return;
		}
		control_folio=1;
	}

	if($("#cbxAdeudo").prop("checked"))
	{
		if(adeudo_valor=="")
		{
			swal.fire({
				icon: 'warning',
				title: "Ingrese el Adeudo.",
				confirmButtonColor: '#28a745'
			});
			return;
		}
		control_adeudo=1;
	}

	if($("#cbxFecha").prop("checked"))
	{
		if(fechaIni_valor=="")
		{
			swal.fire({
				icon: 'warning',
				title: "Ingrese fecha contable  inicial.",
				confirmButtonColor: '#28a745'
			});
			return;
		}

		if(!isValidDate(fechaIni_valor))
		{
			swal.fire({
				icon: 'warning',
				title: "Fecha contable inicial incorrecta.",
				confirmButtonColor: '#28a745'
			});
			return;
		}

		if(fechaFin_valor=="")
		{
			swal.fire({
				icon: 'warning',
				title: "Ingrese fecha contable final.",
				confirmButtonColor: '#28a745'
			});
			return;
		}

		if(!isValidDate(fechaFin_valor))
		{
			swal.fire({
				title: "Fecha contable final incorrecta",
				confirmButtonColor: '#28a745'
			});
			return;
		}
		control_fecha1=1;
	}

	if($("#cbxFecha2").prop("checked"))
	{
		if(fechaIni_valor2=="")
		{
			swal.fire({
				icon: 'warning',
				title: "Ingrese fecha Registro inicial.",
				confirmButtonColor: '#28a745'
			});
			return;
		}

		if(!isValidDate(fechaIni_valor2))
		{
			swal.fire({
				icon: 'warning',
				title: "Fecha Registro inicial incorrecta.",
				confirmButtonColor: '#28a745'
			});
			return;
		}

		if(fechaFin_valor2=="")
		{
			swal.fire({
				icon: 'warning',
				title: "Ingrese fecha de registro final.",
				confirmButtonColor: '#28a745'
			});
			return;
		}

		if(!isValidDate(fechaFin_valor2))
		{
			swal.fire({
				title: "Fecha de registro final incorrecta",
				confirmButtonColor: '#28a745'
			});
			return;
		}
		control_fecha2=1;
	}

	if($("#cbxActiva").prop("checked"))
	{
		activa=1;
	}

	if($("#cbxCancelada").prop("checked"))
	{
		cancelada=1;
	}

	if($("#cbxFacturado").prop("checked"))
	{
		facturada=1;
	}

	if($("#cbxNoFacturado").prop("checked"))
	{
		noFacturada=1;
	}

	if($("#cbxLimit").prop("checked"))
	{
		limit=1;
	}
	
	window.open("reporte_transacciones_pdf.php?id_producto="+producto +
												"&id_cliente="+id_cliente + 
												"&idtipo="+idtipo + 
	   										"&id_vehiculo="+vehiculo + 
												"&departamento="+departamento + 
												"&fecha_inicio="+fechaIni_valor + 
												"&fecha_fin="+fechaFin_valor + 
												"&fecha_inicio2="+fechaIni_valor2 + 
												"&fecha_fin2="+fechaFin_valor2 + 
												"&facturado="+facturada + 
												"&no_facturado="+noFacturada + 
												"&serie="+control_serie +
												"&id_serie="+serie_valor +
												"&folio="+control_folio +
												"&id_folio="+folio_valor +
												"&adeudo="+control_adeudo +
												"&id_adeudo="+adeudo_valor +
												"&t_activa="+activa +
												"&t_cancelada="+cancelada +
												"&fecha1="+control_fecha1 +
												"&fecha2="+control_fecha2 +
												"&limit="+limit +
												"&ordenamiento="+ordenamiento );

}


function generar_reporte_excel(id_cliente){
	var n="";
	var idtipo=1;

	var vehiculo = $("#cmbVehiculos").val();
	var departamento = $("#cmbDepartamentos").val();
	var producto = $("#cmbProducto").val();
	var serie_valor = $("#txtSerie").val();
	var folio_valor = $("#txtFolio").val();
	var adeudo_valor = $("#txtAdeudo").val();
	var fechaIni_valor = $("#txtFechaInicio").val();
	var fechaFin_valor = $("#txtFechaFin").val();
	var fechaIni_valor2 = $("#txtFechaInicio2").val();
	var fechaFin_valor2 = $("#txtFechaFin2").val();	

		var control_serie = 0;
	var control_folio = 0;
	var control_adeudo = 0;
	var control_fecha1 = 0;
	var control_fecha2 = 0;
	var activa = 0;
	var cancelada = 0;
	var facturada = 0;
	var noFacturada = 0;
	var limit = 0;
	var ordenamiento=0;

	if($("#cbxSerie").prop("checked"))
	{
		if(serie_valor=="")
		{
			swal.fire({
				icon: 'warning',
				title: "Ingrese serie.",
				confirmButtonColor: '#28a745'
			});
			return;
		}
		control_serie=1;
	}

	if($("#cbxFolio").prop("checked"))
	{
		if(folio_valor=="")
		{
			swal.fire({
				icon: 'warning',
				title: "Ingrese el Folio.",
				confirmButtonColor: '#28a745'
			});
			return;
		}
		control_folio=1;
	}

	if($("#cbxAdeudo").prop("checked"))
	{
		if(adeudo_valor=="")
		{
			swal.fire({
				icon: 'warning',
				title: "Ingrese el Adeudo.",
				confirmButtonColor: '#28a745'
			});
			return;
		}
		control_adeudo=1;
	}

	if($("#cbxFecha").prop("checked"))
	{
		if(fechaIni_valor=="")
		{
			swal.fire({
				icon: 'warning',
				title: "Ingrese fecha contable  inicial.",
				confirmButtonColor: '#28a745'
			});
			return;
		}

		if(!isValidDate(fechaIni_valor))
		{
			swal.fire({
				icon: 'warning',
				title: "Fecha contable inicial incorrecta.",
				confirmButtonColor: '#28a745'
			});
			return;
		}

		if(fechaFin_valor=="")
		{
			swal.fire({
				icon: 'warning',
				title: "Ingrese fecha contable final.",
				confirmButtonColor: '#28a745'
			});
			return;
		}

		if(!isValidDate(fechaFin_valor))
		{
			swal.fire({
				title: "Fecha contable final incorrecta",
				confirmButtonColor: '#28a745'
			});
			return;
		}
		control_fecha1=1;
	}

	if($("#cbxFecha2").prop("checked"))
	{
		if(fechaIni_valor2=="")
		{
			swal.fire({
				icon: 'warning',
				title: "Ingrese fecha Registro inicial.",
				confirmButtonColor: '#28a745'
			});
			return;
		}

		if(!isValidDate(fechaIni_valor2))
		{
			swal.fire({
				icon: 'warning',
				title: "Fecha Registro inicial incorrecta.",
				confirmButtonColor: '#28a745'
			});
			return;
		}

		if(fechaFin_valor2=="")
		{
			swal.fire({
				icon: 'warning',
				title: "Ingrese fecha de registro final.",
				confirmButtonColor: '#28a745'
			});
			return;
		}

		if(!isValidDate(fechaFin_valor2))
		{
			swal.fire({
				title: "Fecha de registro final incorrecta",
				confirmButtonColor: '#28a745'
			});
			return;
		}
		control_fecha2=1;
	}

	if($("#cbxActiva").prop("checked"))
	{
		activa=1;
	}

	if($("#cbxCancelada").prop("checked"))
	{
		cancelada=1;
	}

	if($("#cbxFacturado").prop("checked"))
	{
		facturada=1;
	}

	if($("#cbxNoFacturado").prop("checked"))
	{
		noFacturada=1;
	}

	if($("#cbxLimit").prop("checked"))
	{
		limit=1;
	}
	
	window.open("reporte_transacciones_excel.php?id_producto="+producto +
												"&id_cliente="+id_cliente + 
												"&idtipo="+idtipo + 
	   										"&id_vehiculo="+vehiculo + 
												"&departamento="+departamento + 
												"&fecha_inicio="+fechaIni_valor + 
												"&fecha_fin="+fechaFin_valor + 
												"&fecha_inicio2="+fechaIni_valor2 + 
												"&fecha_fin2="+fechaFin_valor2 + 
												"&facturado="+facturada + 
												"&no_facturado="+noFacturada + 
												"&serie="+control_serie +
												"&id_serie="+serie_valor +
												"&folio="+control_folio +
												"&id_folio="+folio_valor +
												"&adeudo="+control_adeudo +
												"&id_adeudo="+adeudo_valor +
												"&t_activa="+activa +
												"&t_cancelada="+cancelada +
												"&fecha1="+control_fecha1 +
												"&fecha2="+control_fecha2 +
												"&limit="+limit +
												"&ordenamiento="+ordenamiento );

}
